| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# BinOutputStream Class Reference

Inheritance diagram for BinOutputStream:

[legend]
Collaboration diagram for BinOutputStream:

[legend]
List of all members.

## Public Methods

virtual | ~BinOutputStream ()
virtual unsigned int | curPos () const=0
virtual void | writeBytes (XMLByte *const toGo, const unsigned int maxToWrite)=0

## Protected Methods

| BinOutputStream ()

## Constructor & Destructor Documentation

virtual BinOutputStream::~BinOutputStream | ( |  | ) | `[virtual]`

BinOutputStream::BinOutputStream | ( |  | ) | `[protected]`

## Member Function Documentation

virtual unsigned int BinOutputStream::curPos | ( |  | ) | const`[pure virtual]`

virtual void BinOutputStream::writeBytes | ( | XMLByte *const | toGo,
|  | const unsigned int | maxToWrite
| ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- BinOutputStream.hpp

Copyright © 2003 The Apache Software Foundation. All Rights Reserved.